# integral< T > Class Template Reference

`#include <_calculus.h>`

List of all members.

## Public Member Functions

| integral (const T &x, const int &samples=500)
T::result_type | operator() (typename T::argument_type x, typename T::argument_type y) const

## Private Attributes

T | func
int | samples

## Detailed Description

### template<typename T>
class integral< T >

Definition at line 78 of file _calculus.h.

## Constructor & Destructor Documentation

template<typename T>

integral< T >::integral | ( | const T & | x,
|  | const int & | samples = `500` |
| ) |  |  | `[inline, explicit]`

Definition at line 83 of file _calculus.h.

## Member Function Documentation

template<typename T>

T::result_type integral< T >::operator() | ( | typename T::argument_type | x,
|  | typename T::argument_type | y |
| ) |  |  | const`[inline]`

Definition at line 86 of file _calculus.h.

References integral< T >::func, and integral< T >::samples.

## Member Data Documentation

template<typename T>

T integral< T >::func `[private]`

Definition at line 80 of file _calculus.h.

Referenced by integral< T >::operator()().

template<typename T>

int integral< T >::samples `[private]`

Definition at line 81 of file _calculus.h.

Referenced by integral< T >::operator()().

The documentation for this class was generated from the following file:

- _calculus.h